*************************
* Manual Backup Program *
*************************
setenv SHELL mshell
chd /ro_fr0/sys

**** load decompress command ****
*load -d gzload

**** load modules ****
gzload panel_01.gz<>>>/nil

**** myhello(black) start ****
myhello5 h ^768<>>>/nil&

*** wait until myhello3 makes a pipe ***
while(exist("/pipe/myhello") == FALSE)
endwhile

**** sys check ****
let ret_syschk = execute("selfHWchk o")

**** load font ****
gzload /ro_fr0/font/fonts.gz<>>>/nil
selfHWchk f
link 8859_0816.font 8859_1632.font kana_0808.font kana_0816.font \
		kana_1632.font kanj_1616.font kanj_3232.font \
		mark_1616.font mark_3232.font

**** language check ****
let sysini = execute("selfHWchk i")

**** breif hardware check ****
let ret_tp = execute("selfHWchk p <>>>/nil")

**** CF check (sram_chk) ****
let ret_cf = execute("selfHWchk l <>>>/nil")

**** sleep to check backlight ****
sleep 300
selfHWchk b

**** error output **** remove (ret_sml != 0) 
if ((%ret_tp != 0) || (%ret_cf == -4) || (%ret_cf == -5) || (%ret_syschk < 0))

	**** terminate myhello(black) ****
	echo "!@#$" >+/pipe/myhello&
	mystop

	load -d errmesvga

	**** and startup myhello(normal)***
	myhello5 ^768 <>>>/nil&

	*** wait until myhello3 makes a pipe ***
	while( exist("/pipe/myhello") == FALSE)
	endwhile
	*** wait end ***

	if (%ret_syschk < 0)
		led_ctrl 1 0
		led_ctrl 0 1
		if (%sysini & 1 == 1)
			echo -r "** ERROR No.12 : Installed system program is ">+/pipe/myhello
			echo -r "   not applicable for this hardware :        ">+/pipe/myhello
			echo    "   Please reinstall the system program       ">+/pipe/myhello
		else
			echo "!@#%">+/pipe/myhello
			echo2 15
		endif
		mystop
		sleep 0
	endif
	if (%ret_tp < 0)
		led_ctrl 1 0
		led_ctrl 0 1
		if (%sysini & 1 == 1)
			echo -r "** FATAL ERROR No.01 : Touch Panel is not    ">+/pipe/myhello
			echo -r "   connected :                               ">+/pipe/myhello
			echo    "   Please contact your OMRON service center  ">+/pipe/myhello
		else
			echo "!@#%">+/pipe/myhello
			echo2 3
		endif
		mystop
		sleep 0
	elif (%ret_tp > 0)
		if (%sysini & 1 == 1)
			echo -r "** ERROR No.11 : Device check program Error :">+/pipe/myhello
			echo -r "   Please reinstall the system program :     ">+/pipe/myhello
			echo    "   Touch the screen to continue              ">+/pipe/myhello
			mystop
		else
			echo "!@#%">+/pipe/myhello
			echo2 13
			mystop
			echo2 1
		endif
	endif
	if ((%ret_cf == -4) || (%ret_cf == -5))
		if (%sysini & 1 == 1)
			echo -r "** WARNING No.22 : Memory Card Error : Some  ">+/pipe/myhello
			echo -r "   files in a memory card may be corrupted.  ">+/pipe/myhello
			echo -r "   Safely remove the memory card, and check  ">+/pipe/myhello
			echo -r "   whether files are not corrupted on a      ">+/pipe/myhello
			echo -r "   computer. You can continue to startup the ">+/pipe/myhello
			echo -r "   PT by touching on the screen, however, it ">+/pipe/myhello
			echo -r "   may NOT operate correctly when access to  ">+/pipe/myhello
			echo    "   the memory card.                          ">+/pipe/myhello
			mystop
		else
			echo "!@#%">+/pipe/myhello
			echo2 18
			mystop
			echo2 1
		endif
	endif
endif

**** myhello terminate *****
echo "!@#$" >+/pipe/myhello&
mystop

**** execute CF transfer ****
let ret = execute("panel_01<>>>/nil")

* LED RED blink if error
led_ctrl 2 0
if(%ret != 0)
    led_ctrl 0 2&
endif
